[data-spoiler-content] {
	overflow: hidden;
	max-height: 0;
	opacity: 0;
	will-change: max-height;
	transition: .3s;
}

[data-spoiler] {

	&.open {

		[data-spoiler-content] {
			opacity: 1;
			transition: .3s;
		}

        .spoiler__icon {
            transform: rotate(180deg);
            transition: 0.3s;
        }
	}
}

.spoiler {
    margin-bottom: 15px;
    border: 2px solid #FC462D;
    border-radius: 4px;

    &__header {
        margin: 0;
        width: 100%;
        padding: 20px;
        fill: $black;
        color: $black;
        border: none;
        outline: none;
        cursor: pointer;
        text-align: left;
        background: transparent;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__question {
        padding-right: 10px;
    }

    &__number {
        display: block;
        font-size: 12px;
        font-weight: 400;
        line-height: 15px;
        margin-bottom: 5px;
    }

    &__title {
        display: block;
        font-size: 16px;
        font-weight: 600;
        line-height: 22px;
    }

    &__icon {
        font-size: 0;
        line-height: 0;
        height: rem(24);
        display: inline-block;
        fill: #000;
        flex-shrink: 0;
        transform: rotate(0deg);
        transition: 0.3s;
    }

    &__wrap {
        padding: 0 20px 20px 20px;
    }

    &__info {
        font-size: 14px;
        line-height: 22px;
        padding-top: 10px;

        p {
            margin: 0;
        }
    }

    &__value {
        margin-bottom: 10px;

        &--valid {
            color: $green;
        }

        &--invalid {
            color: $red;
        }
    }

    &__label {
        font-size: 12px;
        font-weight: 400;
        line-height: 15px;
        margin-bottom: 3px;
    }

    &__answer {
        font-size: 16px;
        font-weight: 600;
        line-height: 22px;
    }
}
